Subject: [bug#52548] [PATCH] gnu: Add osmium-tool.

From: Ludovic Courtès <[email-masked]>
Date: Wed, 05 Jan 2022 23:36:43 +0100

Hi,

Nikolay Korotkiy <[email-masked]> skribis:

> RapidJSON is header-only library, so it doesn't make much sense to
> unbundle it,

You’re right that it’s different from the situation of .so files.
However, unbundling still clarifies the dependency graph by making code
reuse visible, and it allows us to make sure a security update in
RapidJSON propagates to all its users, should that happen.

> since upstream authors decided to vendor it. And such unbundling could
> complicate maintenance and package expression for no reason. The same
> story about msinttypes, RapidJSON vendors msinttypes.

Yeah it could complicate things, but in some cases it’s a no-brainer.
Could you give it a try and see whether there are any roadblocks?

Thanks in advance,
Ludo’.